WebSocket.MessagePart (Java SE 10 & JDK 10 )
Keywords: jdk.incubator.http.WebSocket.MessagePart class

Module jdk.incubator.httpclient
Package jdk.incubator.http

## Enum WebSocket.MessagePart

- java.lang.Object
- - java.lang.Enum<WebSocket.MessagePart>
  - - jdk.incubator.http.WebSocket.MessagePart

- All Implemented Interfaces:
    `Serializable`, `Comparable<WebSocket.MessagePart>`
  Enclosing interface:
    WebSocket

      public static enum WebSocket.MessagePart
      extends Enum<WebSocket.MessagePart>

  A marker used by `WebSocket.Listener` for identifying partial messages.
  Incubating Feature. Will be removed in a future release.
  Since:
    9

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `FIRST` | The first part of a message.
    `LAST` | The last part of a message.
    `PART` | A middle part of a message.
    `WHOLE` | A whole message consisting of a single part.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static WebSocket.MessagePart` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static WebSocket.MessagePart[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods declared in class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods declared in class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FIRST

          public static final WebSocket.MessagePart FIRST

      The first part of a message.

    - #### PART

          public static final WebSocket.MessagePart PART

      A middle part of a message.

    - #### LAST

          public static final WebSocket.MessagePart LAST

      The last part of a message.

    - #### WHOLE

          public static final WebSocket.MessagePart WHOLE

      A whole message consisting of a single part.

  - ### Method Detail

    - #### values

          public static WebSocket.MessagePart[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WebSocket.MessagePart c : WebSocket.MessagePart.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WebSocket.MessagePart valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null